[Hackage] #578: Allow installation of distro packages

Ian Lynagh igloo at earth.li
Wed Sep 23 16:53:07 EDT 2009

On Wed, Sep 23, 2009 at 08:18:11PM -0000, Hackage wrote:
>  > From my point of view, I’d already be satisfied if cabal would say "The
>  following required packages are also available from your distribution and
>  it is recommended to install them before continuing: libghc6-a-dev
>  libghc6-b-dev. Do you want to abort now? [Y,n]".
>  Unlike apt-get, most cabal commands are not interactive. We prefer to go
>  with "Do the right thing".

FWIW, I would much prefer apt-get-like behaviour. e.g. if cabal-install
has decided it is going to install 20 packages (for dependency reasons),
I would like to be given a chance to look at the list before it does so.


More information about the cabal-devel mailing list